Page 1 of 1

zdesktop_7_3_1_ga_b13063_linux_x64 fails to regonize java environment

Posted: Thu Dec 06, 2018 1:35 pm
by Clouseau
I tried to install zdesktop_7_3_1_ga_b13063_linux_x64 to Ubuntu 18.10 with java version "11.0.1", but installer does not regonize Java environment. I did not find any help from anywhere.

Installation error message:
Zimbra Desktop (64-bit) requires a 64-bit Java SE Runtime Environment (JRE), which is not installed or is outdated. Please install JRE 1.6 (64-bit) or later.

Java SE 64bit is installed

java -version command give following:

java version "11.0.1" 2018-10-16 LTS
Java(TM) SE Runtime Environment 18.9 (build 11.0.1+13-LTS)
Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11.0.1+13-LTS, mixed mode)


echo $JAVA_HOME
/usr/lib/jvm/java-11-oracle/bin/java

jdk.sh
export J2SDKDIR=/usr/lib/jvm/java-11-oracle
export J2REDIR=/usr/lib/jvm/java-11-oracle
export PATH=$PATH:/usr/lib/jvm/java-11-oracle/bin:/usr/lib/jvm/java-11-oracle/db/bin
export JAVA_HOME=/usr/lib/jvm/java-11-oracle
export DERBY_HOME=/usr/lib/jvm/java-11-oracle/db

So whats wrong in Zimbra Desktop installer? Is there any snap installer available?

Re: zdesktop_7_3_1_ga_b13063_linux_x64 fails to regonize java environment

Posted: Fri Dec 07, 2018 8:22 am
by DualBoot
Hello,

you can install the old version of JRE with your package manager and if need use this command to choose
the right JRE for your environment : update-alternatives --config java

Regards,